package com.ruoyi.brewery.service;

import com.ruoyi.brewery.domain.WyActivity;
import com.ruoyi.brewery.domain.WyActivityBeer;

import java.util.List;

public interface IWyActivityBeerService {

    public List<WyActivityBeer> selectWyActivityBeerByActivityId(Long activityId);

    /**
     * 查询平台活动酒款列表
     *
     * @param wyActivityBeer 平台活动酒款
     * @return 平台活动酒款集合
     */
    public List<WyActivityBeer> selectWyActivityBeerList(WyActivityBeer wyActivityBeer);

    List<WyActivity> selectWyActivityListByBeerId(Long beerId, Long breweryId,Integer status);

    /**
     * 新增平台活动酒款
     *
     * @param wyActivityBeer 平台活动酒款
     * @return 结果
     */
    public int insertWyActivityBeer(WyActivityBeer wyActivityBeer);

    /**
     * 修改平台活动酒款
     *
     * @param wyActivityBeer 平台活动酒款
     * @return 结果
     */
    public int updateWyActivityBeer(WyActivityBeer wyActivityBeer);

    /**
     * 删除平台活动酒款
     *
     * @param activityId 平台活动酒款主键
     * @return 结果
     */
    public int deleteWyActivityBeerByActivityId(Long activityId);

    /**
     * 批量删除平台活动酒款
     *
     * @param activityIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyActivityBeerByActivityIds(Long[] activityIds);
}
